[arch-commits] CVS update of extra/devel/gcc-gcj (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Jun 24 14:33:17 EDT 2007


    Date: Sunday, June 24, 2007 @ 14:33:17
  Author: jgc
    Path: /home/cvs-extra/extra/devel/gcc-gcj

Modified: PKGBUILD (1.24 -> 1.25)

Prepare for build of new snapshot


----------+
 PKGBUILD |   45 +++++++++++++++++++++++++--------------------
 1 file changed, 25 insertions(+), 20 deletions(-)


Index: extra/devel/gcc-gcj/PKGBUILD
diff -u extra/devel/gcc-gcj/PKGBUILD:1.24 extra/devel/gcc-gcj/PKGBUILD:1.25
--- extra/devel/gcc-gcj/PKGBUILD:1.24	Thu Jun  7 13:04:27 2007
+++ extra/devel/gcc-gcj/PKGBUILD	Sun Jun 24 14:33:17 2007
@@ -1,4 +1,4 @@
-# $Id: PKGBUILD,v 1.24 2007/06/07 17:04:27 jgc Exp $
+# $Id: PKGBUILD,v 1.25 2007/06/24 18:33:17 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 # There's a circular dependency between gcc-gcj and eclipse-ecj. There is no 
@@ -7,32 +7,36 @@
 
 pkgname=gcc-gcj
 pkgver=4.2.0
-pkgrel=2
+pkgrel=3
+_snapshot=4.2-20070620
+_javaver=20070609
 pkgdesc="GNU Java Environment"
 arch=(i686 x86_64)
 license=('GPL' 'LGPL')
 url="http://gcc.gnu.org"
-depends=('gcc>=4.2.0-2' 'gtk2>=2.10.12' 'file' 'libsm' 'libxtst' 'alsa-lib' 'eclipse-ecj>=3.2.2-2')
+depends=('gcc>=4.2.0-4' 'gtk2>=2.10.12' 'file' 'libsm' 'libxtst' 'alsa-lib' 'eclipse-ecj>=3.2.2-2')
+noextract=("gcc-ecj-${_javaver}.tar.bz2")
 makedepends=('texinfo' 'pkgconfig' 'xulrunner')
-options=(!libtool)
-_javasnap=4.3-20070511
-source=(ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-{core,g++}-${pkgver}.tar.bz2
-	http://www.archlinux.org/~jgc/gcc/gcc-ecj-20070516.tar.bz2
+options=('!libtool')
+source=(ftp://gcc.gnu.org/pub/gcc/snapshots/${_snapshot}/gcc-{core,g++}-${_snapshot}.tar.bz2
+	http://www.archlinux.org/~jgc/gcc/gcc-ecj-${_javaver}.tar.bz2
 	gcc_pure64.patch
 	libjava-disable-static.dpatch
-	libjava-sjlj.dpatch)
-md5sums=('de693d0917d710c3de41297d574470f5'
-         'f30a13d9d33693f4cd6452318fa80ff3'
-         '02494fa9a5b7b6dbc349a19a1bda78b8'
+	libjava-sjlj.dpatch
+	gcc-hash-style-both.patch)
+md5sums=('247a68e66877cac8dd63ed0c154fa0a8'
+         '3768a7aae3ca257e5c8aa43024bcf5b4'
+         '3c96a2f45bed53f7da30c06204dd29f8'
          '8fc86e4c4d1f4ec8b226307d39fbd9e3'
          'bef24466abe00c4e655ac074cedf0c29'
-         'afe3541abf5ce163223f94ccdbc66e30')
+         'afe3541abf5ce163223f94ccdbc66e30'
+         '611fbd749019f0ce2fad36fda17e93dd')
 
 build() {
   [ -z "${MOZ_PLUGIN_PATH}" ] && . /etc/profile.d/mozilla-common.sh ]
 
-  export MAKEFLAGS="-j1"
-  cd $startdir/src/gcc-${pkgver}
+  cd ${startdir}/src/gcc-${_snapshot}
+  tar jxf ${startdir}/src/gcc-ecj-${_javaver}.tar.bz2 || return 1
   # Don't install libiberty
   sed -i 's/install_to_$(INSTALL_DEST) //' libiberty/Makefile.in
   # Don't run fixincludes
@@ -41,8 +45,9 @@
     patch -Np1 -i ../gcc_pure64.patch || return 1
   fi
   chmod +x ${startdir}/src/*.dpatch
-  ${startdir}/src/libjava-disable-static.dpatch -patch
-  ${startdir}/src/libjava-sjlj.dpatch -patch
+  ${startdir}/src/libjava-disable-static.dpatch -patch || return 1
+  ${startdir}/src/libjava-sjlj.dpatch -patch || return 1
+  patch -Np0 -i ${startdir}/src/gcc-hash-style-both.patch || return 1
 
   echo ${pkgver} > gcc/BASE-VER
 
@@ -88,14 +93,14 @@
      --enable-__cxa_atexit --enable-java-awt=gtk \
      --libdir=/usr/lib --libexecdir=/usr/lib --disable-multilib --enable-clocale=gnu \
      --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre \
-     --enable-java-maintainer-mode --enable-libgcj-multifile \
+     --enable-libgcj-multifile \
      --with-ecj-jar=/usr/share/java/eclipse-ecj.jar \
      --enable-plugin --with-system-zlib --disable-libstdcxx-pch
-   make bootstrap || return 1
-   make DESTDIR=${startdir}/pkg install-target-libjava
+   make || return 1
+   make -j1 DESTDIR=${startdir}/pkg install-target-libjava
 
    cd gcc
-   make DESTDIR=${startdir}/pkg java.install-common java.install-man
+   make -j1 DESTDIR=${startdir}/pkg java.install-common java.install-man
 
    install -m755 jc1 ${startdir}/pkg/usr/lib/gcc/${CHOST}/${pkgver}/
    install -m755 jvgenmain ${startdir}/pkg/usr/lib/gcc/${CHOST}/${pkgver}/




More information about the arch-commits mailing list